package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 住户app端用户表
 * </p>
 *
 * @author jobob
 * @since 2019-05-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_user")
public class TaUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer userId;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 楼栋业主资料信息id
     */
    private Integer buildingOwnerInfoId;

    /**
     * 头像
     */
    private String headPortrait;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 登录账号就是手机号确保唯一
     */
    private String loginName;

    /**
     * 登录密码
     */
    private String loginPassword;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 性别 1：男   2：女 0: 未选择性别
     */
    private String gender;

    /**
     * 1 有效 0 无效(逻辑删除) 2 拉黑(运营端用)
     */
    private String status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 上级目录id存在，表示是这个id下的租客或家属
     */
    private Integer parentId;

    /**
     * 接受协议状态  0 是未接受 1是已接受
     */
    private String acceptAgreementStatus;

    /**
     * 认证状态  0 是未认证    1是认证通过   2是已作废
     */
    private String verifyStatus;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private Date updateDate;

    /**
     * 海康人员编号
     */
    private Long hkPersonNo;

    /**
     * 海康人员ID   personId
     */
    private Integer hkUserId;

    /**
     * 海康 卡片号码
     */
    private String hkCardNo;

    /**
     * (以房产为准，这个字段不维护)人脸状态  0 是未上传   1是已上传   register/unregister
     */
    private String faceStatus;

    /**
     * 微信openid
     */
    private String openid;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 微信昵称
     */
    private String nickname;


}
